org.apache.commons.jelly.tags.define

## Class BeanTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.define.DefineTagSupport
    - - org.apache.commons.jelly.tags.define.BeanTag

All Implemented Interfaces:
  Tag

Direct Known Subclasses:
  ClassLoaderTag, JellyBeanTag

    public class BeanTag
    extends DefineTagSupport

Binds a Java bean to the given named Jelly tag so that the attributes of the tag set the bean properties..

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`BeanTag()`

### Method Summary

Methods
`void` `addAttribute(Attribute attribute)` Adds a new attribute definition to this dynamic tag
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`java.lang.ClassLoader` `getClassLoader()`
`protected java.lang.reflect.Method` `getInvokeMethod(java.lang.Class theClass)` Extracts the invoke method for the class if one is used.
`void` `setClassLoader(java.lang.ClassLoader classLoader)` Sets the ClassLoader to use to load the class.
`void` `setClassName(java.lang.String className)` Sets the Java class name to use for the tag
`void` `setName(java.lang.String name)` Sets the name of the tag to create
`void` `setVarAttribute(java.lang.String varAttribute)` Sets the name of the attribute used to define the bean variable that this dynamic tag will output its results as.

### Methods inherited from class org.apache.commons.jelly.tags.define.DefineTagSupport

`getTagLibrary`

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanTag

    public BeanTag()

### Method Detail

#### addAttribute

    public void addAttribute(Attribute attribute)

Adds a new attribute definition to this dynamic tag

#### doTag

    public void doTag(XMLOutput output)
               throws MissingAttributeException,
                      JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `MissingAttributeException`
  `JellyTagException`

#### setName

    public void setName(java.lang.String name)

Sets the name of the tag to create

#### setClassName

    public void setClassName(java.lang.String className)

Sets the Java class name to use for the tag

#### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classLoader)

Sets the ClassLoader to use to load the class. If no value is set then the current threads context class loader is used.

#### getClassLoader

    public java.lang.ClassLoader getClassLoader()

Returns:
  the ClassLoader to use to load classes specified by this object, the thread context loader if the context flag is set, or the class used to load this class.

#### setVarAttribute

    public void setVarAttribute(java.lang.String varAttribute)

Sets the name of the attribute used to define the bean variable that this dynamic tag will output its results as. This defaults to 'var' though this property can be used to change this if it conflicts with a bean property called 'var'.

#### getInvokeMethod

    protected java.lang.reflect.Method getInvokeMethod(java.lang.Class theClass)

Extracts the invoke method for the class if one is used.